## eole-flask 2.4.0-28

=== debian/changelog ===
eole-flask (2.4.0-28) eole-2.4-unstable; urgency=low

  [ Philippe Caseiro ]
  * [9b20e3b] eoleflask.init : Chargement du fichier locale au lancement du servie.
  * [d0189d5] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [f7aa616] Philippe Caseiro: Update package since 'debian/eole/2.4/2.4.0-27'

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 25 Apr 2014 10:21:31 +0200

eole-flask (2.4.0-27) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [726ce89] correction typo dans postinst (ref #8028)
  * [c337d29] correction eoleflask.mk + fix sur activation de la configuration nginx
  * [7602298] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [cc89c8d] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-26'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 24 Apr 2014 10:39:19 +0200

eole-flask (2.4.0-26) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [7a9b281] Correction de repertoire non créés dans eoleflask.mk
  * [e33e766] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [c4b7041] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-25'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 23 Apr 2014 18:08:59 +0200

eole-flask (2.4.0-25) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [fcb1411] initialisation de la deuxième instance flask (eoleapps)

  [ EOLE Build Daemon ]
  * [6435f80] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-24'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 23 Apr 2014 17:44:40 +0200

eole-flask (2.4.0-24) eole-2.4-unstable; urgency=low

  [ Laurent Flori ]
  * [e6f8847] Nginx sert genconfig par défaut (fixes: #7968, 30)
  * [c3d3119] Passage à 'oui' pour l'activation de genconfig dans nginx

  [ Bruno Boiget ]
  * [1e9c845] Gestion de sous répertoire de configuration pour eoleflask
  * [697ec6c] Ajout des templates nginx/gunicorn pour les instances d'eoleflask
  * [ce4dd76] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [f65ec2a] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-23'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 23 Apr 2014 17:16:20 +0200

eole-flask (2.4.0-23) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [cd86cf5] Ajout de headers dans la configuration nginx + fonction get_proxy_url

  [ Lionel MORIN ]
  * [dc0948a] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [446e565] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.0-22'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 03 Apr 2014 11:13:57 +0200

eole-flask (2.4.0-22) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a663785] Le démon ne démarre pas sans configuration (Fixes: #7637, 15)
  * [817f246] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [f0ed1b7] Daniel Dehennin: Update package since 'debian/eole/2.4/2.4.0-21'

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 28 Mar 2014 15:13:06 +0100

eole-flask (2.4.0-21) eole-2.4-unstable; urgency=low

  [ Laurent Flori ]
  * [535cdf2] Correction typo dans la balise help du dicos
  * [7f386cb] Reintegration du fichier eoleflask.conf pour gunicorn
    (fixes: #7636, 10)
  * [c26f241] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [8c5f268] Laurent Flori: Update package since 'debian/eole/2.4/2.4.0-20'

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Wed, 19 Mar 2014 14:46:18 +0100

eole-flask (2.4.0-20) eole-2.4-unstable; urgency=low

  * [56cae4b] Ajout du dico 28_eoleflask.xml
  * [56c9758] Ajout du template eoleflask.conf
  * [3aedab5] Correction du makefile eoleflask.mk
  * [1fa4f15] Suppression du fichier nginx/eoleflask.conf en place a l'installation
  * [e42e98f] Ajout du paquet eole-flask dans debian/control
  * [75f1dea] Ajout du fichier eole-flask.install
  * [94d7a88] Déplacement du posttemplate de eole-flask-server vers eole-flask
  * [6045395] Correction typo la balise help devient helps
  * [5a102b5] Ajout du redemarrage de nginx dans le dico 28_eoleflask.xml

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Thu, 13 Mar 2014 10:32:11 +0100

eole-flask (2.4.0-19) eole-2.4-unstable; urgency=low

  * [cc00e7b] Ajout du posttemplate dans le paquet (fixes: #7501, 20)

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Fri, 21 Feb 2014 15:47:56 +0100

eole-flask (2.4.0-18) eole-2.4-unstable; urgency=low

  * [cd628aa] eoleflask ne doit répondre qu'en https (fixes: #7230, 10)
  * [e575ffd] Gestion automatisée des SECRET_KEY dans les appplis flask
    (fixes: #6529)
  * [a6724e6] Suppression d'un commentaire inutile
  * [6ba1186] Correction dans l'import de la fonction get_secret_key pour le loader
  * [dd853e2] Correction dans l'appel de la gestion de la secret_key dans le loader

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Wed, 19 Feb 2014 15:05:59 +0100

eole-flask (2.4.0-17) eole-2.4-unstable; urgency=low

  * [75fef66] Toilettage du script eflkctl (Ref #5824 @10m)

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 17 Jan 2014 11:32:28 +0100

eole-flask (2.4.0-16) eole-2.4-unstable; urgency=low

  * [aef53ca] scripts/eflkctl: Gestion de --help and -h
  * [17ab38d] scripts/eflkctl : Affiche l'usage si le nom du module est manquant
  * [4816953] scripts/eflkctl : Ajout d'une fonction pour lister les modules

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 16 Dec 2013 16:49:41 +0100

eole-flask (2.4.0-15) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [23ecced] Add git-buildpackage configuration for debian version tag format

  [ Bruno Boiget ]
  * [a684c08] correction de la conf nginx pour genconfig (Fixes #6461)

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 24 Oct 2013 11:49:12 +0200

eole-flask (2.4.0-14) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f7974a0] Il manque un traceback sur les erreurs de chargement de la configuration json
  * [0547638] Vérifier si gunicorn démarre correctement


## eole-flask 2.4.0-31

=== Makefile ===
################################
# Makefile pour eoleflask
################################

SOURCE=eoleflask
#VERSION=0.1
EOLE_VERSION=2.4
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
include eoleflask.mk

=== debian/changelog ===
eole-flask (2.4.0-31) eole-2.4.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3a5fda9] Ajout d'un fichier conf.d pour désactiver le protocole SSLv3
  * [8608f99] Merge branch '2.4.0/master' into dist/eole/2.4.0/master

  [ EOLE Build Daemon ]
  * [ed36f44] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.0-30”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 27 Apr 2015 14:41:22 +0200

eole-flask (2.4.0-30) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [b3187bc] Test manquant avant suppression de la configuration nginx pour eoleapps
  * [0c4bb86] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [9636fc1] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-29'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Mon, 16 Jun 2014 16:22:26 +0200

eole-flask (2.4.0-29) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [84bed10] Prise en compte de la variable activer_eoleapps
  * [521ef58] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [21aa136] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.0-28'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 13 Jun 2014 14:55:10 +0200

=== debian/control ===
Source: eole-flask
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all-dev
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-flask
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-flask/repository

Package: eole-flask
Architecture: all
Depends: eole-flask-server (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Conflicts: eole-flask-server (<= 2.4.0-19)
Description: configuration files for eole application server
 This package provides configuration files to start
 eole application server.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-flask-server
Architecture: all
Depends: python-eoleflask (= ${binary:Version}),
         gunicorn,
         python-eventlet,
         nginx-light | nginx,
         ${misc:Depends},
         ${python:Depends}
Description: application server for EOLE
 This package provides an init script and a configuration to start
 gunicorn.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eoleflask
Architecture: all
Depends: python-flask,
         ${misc:Depends},
         ${python:Depends}
Description: application server for EOLE
 This package provides python library of EOLE application server.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_install:
	rm -rf debian/python-eoleflask/usr/share
	dh_install

override_dh_installinit:
	dh_installinit --name eoleflask $@
	dh_installinit --name eoleapps $@

.PHONY: override_dh_install override_dh_installinit

## eole-flask 2.4.1-14

=== debian/changelog ===
eole-flask (2.4.1-14) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [6b9d67a] Renommage du posttemplate eoleflask pour l'insérer entre ceux d'EOP (ref #10195 @1h)
  * [2893f0b] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [89fe94c] Lionel MORIN: Update package since “debian/eole/2.4/2.4.1-13”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 06 Jan 2015 16:42:18 +0100

eole-flask (2.4.1-13) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [3ebadf4] Correction de l'emplacement du script renew_key (ref #9991 @1h)
  * [b47c377] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [faa7ba7] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.1-12'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 16 Dec 2014 09:57:02 +0100

eole-flask (2.4.1-12) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [5c04ff8] Gestion des clés secrètes flask dans les conteneurs (ref #9991 @4h)
  * [b6d9f22] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [a62c9a8] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.1-11'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 15 Dec 2014 16:54:52 +0100

eole-flask (2.4.1-11) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [b0b2b06] passage du préfixe de l'instance flask dans la config des applications
  * [e55d37e] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [c5b2c27] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.1-10'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 19 Nov 2014 16:54:12 +0100

eole-flask (2.4.1-10) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [d24b3cc] eoleapps.init : la variable *LOCALE_FILE* n'était pas initialisée
  * [3354132] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [3564321] Fabrice Barconnière: Update package since 'debian/eole/2.4/2.4.1-9'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 14 Nov 2014 14:39:09 +0100

eole-flask (2.4.1-9) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [cfae685] eoleapps.init et eoleflask.init : export LANG de /etc/default/locale
  * [b41ef9f] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [965543b] Fabrice Barconnière: Update package since 'debian/eole/2.4/2.4.1-8'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 14 Nov 2014 10:55:50 +0100

eole-flask (2.4.1-8) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [c98d829] Messages en francais, meme avant instanciation du serveur - Fixes #8181
  * [e924d74] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [d48518d] Ghislain Loaec: Update package since 'debian/eole/2.4/2.4.1-7'

 -- Ghislain Loaec <gloaec@cadoles.com>  Mon, 10 Nov 2014 16:07:21 +0100

eole-flask (2.4.1-7) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [734d4ad] Log error when parsing config file - Fixes #7855

  [ Joël Cuissinat ]
  * [24e8c06] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [08f1f15] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.1-6'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 06 Nov 2014 11:43:52 +0100

eole-flask (2.4.1-6) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [a95b10f] Remove log handlers on reload - Fixes #8060 @2h
  * [d06c8cc] Increase timeout for Guinicorn and Nginx proxy - Fixes #8712
  * [f154888] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [308b7e7] Ghislain Loaec: Update package since 'debian/eole/2.4/2.4.1-5'

 -- Ghislain Loaec <gloaec@cadoles.com>  Fri, 31 Oct 2014 17:42:30 +0100

eole-flask (2.4.1-5) eole-2.4-unstable; urgency=low

  [ Philippe Caseiro ]
  * [b84e1bf] debian/control: Correction d'une typo dans un conflict

  [ EOLE Build Daemon ]
  * [3968da7] Philippe Caseiro: Update package since 'debian/eole/2.4/2.4.1-4'

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 22 Oct 2014 12:22:22 +0200

eole-flask (2.4.1-4) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [55ca1bc] Gestion des conflits de version sur eole-flask-admin et eole-flask-server

  [ EOLE Build Daemon ]
  * [3dad427] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.1-3'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Wed, 22 Oct 2014 10:28:34 +0200

eole-flask (2.4.1-3) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [c50ba7e] Suppression des références à eoleapps dans eole-flask
  * [3452d4e] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [f1cd24b] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.1-2'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 Oct 2014 15:58:35 +0200

eole-flask (2.4.1-2) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [4db4a5c] Correction du conditionnement d'eoleapps si apache non installé
  * [8c8e4cb] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [36a46fc] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.1-1'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 25 Sep 2014 16:00:35 +0200

eole-flask (2.4.1-1) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [c89c30c] Séparation des isntances eoleapps/eoleadmin en 2 nouveaux paquets
  * [129889c] Corrections eole-flask pour le mode conteneur
  * [73994da] Merge branch 'master' into dist/ubuntu/precise/master

  [ Benjamin Bohard ]
  * [636591d] Indentation hétérogène.

  [ Daniel Dehennin ]
  * [0dfedbe] Update gitignore for EOLE 2.4.1

  [ EOLE Build Daemon ]
  * [c640c4b] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.0-30'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 25 Sep 2014 15:28:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,39 @@
 
 Package: eole-flask
 Architecture: all
+Depends: eole-flask-admin (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Description: configuration files for eole application server
+ This package provides configuration files to start
+ eole application server.
+ .
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.
+
+Package: eole-flask-admin
+Architecture: all
+Depends: eole-flask-server (= ${binary:Version}),
+         nginx-light | nginx,
+         ${misc:Depends},
+         ${python:Depends}
+Conflicts: eole-flask-server (< 2.4.1-1)
+Description: configuration files for eole-flask admin instance
+ This package provides configuration files to start
+ eoleflask service.
+ .
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.
+
+Package: eole-flask-apps
+Architecture: all
 Depends: eole-flask-server (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends}
-Conflicts: eole-flask-server (<= 2.4.0-19)
-Description: configuration files for eole application server
+Conflicts: eole-flask-server (< 2.4.1-1)
+Description: configuration files for eole-flask eoleapps instance
  This package provides configuration files to start
- eole application server.
+ eoleapps service.
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -26,7 +52,6 @@
 Depends: python-eoleflask (= ${binary:Version}),
          gunicorn,
          python-eventlet,
-         nginx-light | nginx,
          ${misc:Depends},
          ${python:Depends}
 Description: application server for EOLE

## eole-flask 2.4.1-17

=== debian/changelog ===
eole-flask (2.4.1-17) eole-2.4.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2a98008] Gestion du conflit entre eole-flask et eole-flask-server à l'Upgrade

  [ EOLE Build Daemon ]
  * [f6e4b46] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 01 Jun 2015 16:14:34 +0200

eole-flask (2.4.1-16) eole-2.4.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6264bfe] Prise en compte de /etc/nginx/conf.d dans le packaging

  [ EOLE Build Daemon ]
  * [b0f08e1] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-15”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 27 Apr 2015 15:10:52 +0200

eole-flask (2.4.1-15) eole-2.4.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3a5fda9] Ajout d'un fichier conf.d pour désactiver le protocole SSLv3
  * [6feb330] Merge branch 'sslv3' into 2.4.1/master
  * [969cd0f] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [56d0c5c] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 27 Apr 2015 14:51:05 +0200

## eole-flask 2.5.0-1

=== debian/changelog ===
eole-flask (2.5.0-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4115d34] Publication EOLE 2.5.0
  * [82e4998] Merge tag 'release/2.5.0' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [d1d00b0] Daniel Dehennin: Update package since “debian/eole/2.5.0_4-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 26 Jun 2015 12:08:07 +0200

eole-flask (2.5.0~4-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a1b434a] Nouvel espace de nommage des tags Debian
  * [753df29] Preparation pour EOLE 2.4.2-alpha1
  * [d05ca97] Preparation pour EOLE 2.5

  [ Joël Cuissinat ]
  * [3a5fda9] Ajout d'un fichier conf.d pour désactiver le protocole SSLv3
  * [fc3b747] Merge branch 'sslv3'
  * [87ec1c1] Merge branch 'master' into dist/eole/2.5/master
  * [9664077] Prise en compte de /etc/nginx/conf.d dans le packaging
  * [e4d0089] Gestion du conflit entre eole-flask et eole-flask-server à l'Upgrade
  * [b155a12] Amélioration cosmétique du dictionnaire eoleflask
  * [5aeac11] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [428ca9f] Joël Cuissinat: Update package since “debian/eole/2.4.1-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 03 Jun 2015 15:49:35 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
 Depends: eole-flask-admin (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends}
+Replaces: eole-flask-server (<< 2.4.1-16)
+Breaks: eole-flask-server (<< 2.4.1-16)
 Description: configuration files for eole application server
  This package provides configuration files to start
  eole application server.

## eole-flask 2.5.0-2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 SOURCE=eoleflask
 #VERSION=0.1
-EOLE_VERSION=2.4
+EOLE_VERSION=2.5
+EOLE_RELEASE=2.5.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.5.0-2) eole-2.5.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [5525e59] eoleapps n'est plus servi par nginx
  * [586a955] Merge branch '2.5.0/master' into dist/eole/2.5.0/master

  [ EOLE Build Daemon ]
  * [5f093c9] Fabrice Barconnière: Update package since “debian/eole/2.5.0-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 May 2018 13:46:14 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_install:
	rm -rf debian/python-eoleflask/usr/share
	dh_install

override_dh_installinit:
	dh_installinit -p eole-flask-admin --name eoleflask $@
	dh_installinit -p eole-flask-apps --name eoleapps $@

.PHONY: override_dh_install override_dh_installinit

## eole-flask 2.5.1-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eoleflask
 #VERSION=0.1
 EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.0
+EOLE_RELEASE=2.5.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.5.1-2) eole-2.5.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [5525e59] eoleapps n'est plus servi par nginx
  * [fb6ee40] Merge branch '2.5.0/master' into 2.5.1/master
  * [919b277] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [004863a] Fabrice Barconnière: Update package since “debian/eole/2.5.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 May 2018 13:48:58 +0200

eole-flask (2.5.1-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [faad9a4] Release version 2.5.1
  * [7412d43] Merge tag 'release/2.5.1'

  [ EOLE Build Daemon ]
  * [bf9b2d2] Daniel Dehennin: Update package since “debian/eole/2.5.1_1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 21 Sep 2015 11:33:33 +0200

eole-flask (2.5.1~1-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d29eb2a] Prepare version 2.5.1-a1
  * [ea2bba7] Merge tag 'release/2.5.1_1' into dist/eole/2.5/master

  [ Lionel MORIN ]
  * [2444c3a] Encodage utf8 de la SECRET_KEY dans le loader (ref #12904 @4h)
  * [295dd4c] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [76b514c] Lionel MORIN: Update package since “debian/eole/2.5.0-1”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 15 Sep 2015 16:35:10 +0200

## eole-flask 2.6.0-12

=== debian/changelog ===
eole-flask (2.6.0-12) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4aefc74] Suppression des scripts system V en mise à jour

  [ EOLE Build Daemon ]
  * [6401666] Daniel Dehennin: Update package since “debian/eole/2.6.0-11”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 08 Sep 2016 15:32:43 +0200

eole-flask (2.6.0-11) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [71c0fbd] Suppression effective du fichier nosslv3.conf en postinst

  [ EOLE Build Daemon ]
  * [805f215] Joël Cuissinat: Update package since “debian/eole/2.6.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 02 Sep 2016 16:08:01 +0200

eole-flask (2.6.0-10) eole-2.6-unstable; urgency=low

  [ Laurent Flori ]
  * [b9c4fe7] Suppression des scripts init-sysv
  * [e25f640] Suppression des scripts init-sysv
  * [f9ac613] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [0fc6f40] Laurent Flori: Update package since “debian/eole/2.6.0-9”

 -- Laurent Flori <lflori@ac-dijon.fr>  Thu, 01 Sep 2016 13:20:10 +0200

eole-flask (2.6.0-9) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [75cd585] Revert "Ajout d'un fichier conf.d pour désactiver le protocole SSLv3"
  * [0eac5ef] Suppression effective du fichier dans eoleflask.mk
  * [fcd783e] Merge branch 'master' into dist/eole/2.6.0/master
  * [7383bb0] Suppression de /etc/nginx/conf.d du packaging

  [ EOLE Build Daemon ]
  * [e6453c5] Joël Cuissinat: Update package since “debian/eole/2.6.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 01 Sep 2016 10:19:10 +0200

eole-flask (2.6.0-8) eole-2.6-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [571143f] loader.py : ajout d'informations (LevelName et FuncName) dans les logs REF #16649 @1h
  * [a846a4b] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [4456ddb] Klaas TJEBBES: Update package since “debian/eole/2.6.0-7”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Fri, 01 Jul 2016 10:47:43 +0200

eole-flask (2.6.0-7) eole-2.6-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [5a6b01c] loader.py : ajout de la gestion du loglevel sur les loggers additionnels REF #16649 @ 0.5h
  * [87cd40c] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [b1905ae] Klaas TJEBBES: Update package since “debian/eole/2.6.0-6”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Tue, 28 Jun 2016 11:54:00 +0200

eole-flask (2.6.0-6) eole-2.6-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [ab9b10f] Chaque librairie (app) peut fournir une liste de logger à gérer/surveiller REF #8553 @0.5h
  * [6feacfd] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [e343c24] Klaas TJEBBES: Update package since “debian/eole/2.6.0-5”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Mon, 27 Jun 2016 11:01:30 +0200

eole-flask (2.6.0-5) eole-2.6-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [a01557e] journalisation des événements "creole" dans gen_config REF #8553 @3h
  * [1d14b87] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [3f195d4] Klaas TJEBBES: Update package since “debian/eole/2.6.0-4”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Fri, 24 Jun 2016 16:53:02 +0200

eole-flask (2.6.0-4) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [cfc43d4] Ne démarrer eoleapps qui s’il est configuré
  * [dedd8bc] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [f0aa57f] Daniel Dehennin: Update package since “debian/eole/2.6.0-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 11 May 2016 10:32:31 +0200

eole-flask (2.6.0-3) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [02da3a9] Utilisation des variables pour les certificats SSL par eole-flask
  * [dcdfc82] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [61daa24] Joël Cuissinat: Update package since “debian/eole/2.6.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 10 May 2016 16:14:53 +0200

eole-flask (2.6.0-2) eole-2.6-unstable; urgency=low

  [ Philippe Caseiro ]
  * [c16e76c] Migration vers systemd
  * [7f009ab] Merge branch 'master' into dist/eole/2.6.0/master
  * [6d5e27c] Migration vers systemd

  [ EOLE Build Daemon ]
  * [6c52bd2] Philippe Caseiro: Update package since “debian/eole/2.6.0-1”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 02 May 2016 16:15:08 +0200

eole-flask (2.6.0-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [faad9a4] Release version 2.5.1
  * [363a45c] Prepare version 2.5.2
  * [b2d02c4] Merge tag 'release/2.5.2' into dist/eole/2.5/master
  * [4f4e92a] Prepare version 2.6.0
  * [38aa157] Merge tag 'release/2.6.0' into dist/eole/2.6.0/master
  * [454ad75] Résoudre le conflit de script d’init
  * [0f92d1e] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [1143645] Daniel Dehennin: Update package since “debian/eole/2.5.1_1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 18 Mar 2016 15:03:43 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python2,systemd

override_dh_install:
	rm -rf debian/python-eoleflask/usr/share
	dh_install

override_dh_systemd_enable:
	dh_systemd_enable --name=eoleflask
	dh_systemd_enable --name=eoleapps

.PHONY: override_dh_install

## eole-flask 2.6.0-14

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eoleflask
 #VERSION=0.1
-EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.1
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.6.0-14) eole-2.6.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [5525e59] eoleapps n'est plus servi par nginx
  * [cdbb90b] Merge branch '2.5.0/master' into 2.6.0/master
  * [45ed872] Merge branch '2.6.0/master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [76a7c38] Fabrice Barconnière: Update package since “debian/eole/2.6.0-13”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 May 2018 13:57:14 +0200

eole-flask (2.6.0-13) eole-2.6.0-proposed-updates; urgency=low

  [ Laurent Flori ]
  * [a7fde3f] Ajout de nginx-full a la liste des paquets possible pour nginx

  [ EOLE Build Daemon ]
  * [40bbb87] Laurent Flori: Update package since “debian/eole/2.6.0-12”

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Tue, 18 Apr 2017 18:34:00 +0200

## eole-flask 2.6.1-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eoleflask
 #VERSION=0.1
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.0
+EOLE_RELEASE=2.6.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.6.1-2) eole-2.6.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [5525e59] eoleapps n'est plus servi par nginx
  * [cdbb90b] Merge branch '2.5.0/master' into 2.6.0/master
  * [21c6ad1] Merge branch '2.6.0/master' into 2.6.1/master
  * [77ac981] Merge branch '2.6.1/master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [ee4a953] Fabrice Barconnière: Update package since “debian/eole/2.6.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 May 2018 14:01:11 +0200

eole-flask (2.6.1-1) eole-2.6.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [973b990] Prepare version 2.6.1
  * [0612d98] Merge tag 'release/2.6.1' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [5c75dc4] Fabrice Barconnière: Update package since “debian/eole/2.6.0-12”

  [ Fabrice Barconnière ]

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 May 2018 13:58:15 +0200

## eole-flask 2.6.2-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eoleflask
 #VERSION=0.1
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.1
+EOLE_RELEASE=2.6.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.6.2-2) eole-2.6.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [37dbce2] Accept nginx-full as an alternative to nginx-ligth

  [ EOLE Build Daemon ]
  * [d407ded] Daniel Dehennin: Update package since “debian/eole/2.6.2-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 21 Jun 2018 10:45:39 +0200

eole-flask (2.6.2-1) eole-2.6.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f961343] Prepare version 2.6.2
  * [67343fc] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master

  [ Fabrice Barconnière ]
  * [5525e59] eoleapps n'est plus servi par nginx
  * [cdbb90b] Merge branch '2.5.0/master' into 2.6.0/master
  * [213bfb4] Merge branch '2.6.0/master' into 2.6.2/master
  * [206f8c3] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [069b0a9] Fabrice Barconnière: Update package since “debian/eole/2.6.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 May 2018 14:01:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all-dev
+Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-flask
@@ -25,7 +25,7 @@
 Package: eole-flask-admin
 Architecture: all
 Depends: eole-flask-server (= ${binary:Version}),
-         nginx-light | nginx,
+         nginx-light | nginx-full | nginx,
          ${misc:Depends},
          ${python:Depends}
 Conflicts: eole-flask-server (< 2.4.1-1)

## eole-flask 2.7.0-1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eoleflask
 #VERSION=0.1
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.2
+EOLE_VERSION=2.7
+EOLE_RELEASE=2.7.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.7.0-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [973b990] Prepare version 2.6.1
  * [0612d98] Merge tag 'release/2.6.1' into dist/eole/2.6.1/master
  * [f961343] Prepare version 2.6.2
  * [67343fc] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master
  * [0ae5d51] Prepare version 2.7.0
  * [6f08d3d] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master

  [ Fabrice Barconnière ]
  * [5525e59] eoleapps n'est plus servi par nginx
  * [cdbb90b] Merge branch '2.5.0/master' into 2.6.0/master
  * [213bfb4] Merge branch '2.6.0/master' into 2.6.2/master
  * [5d76b74] Merge branch '2.6.2/master'
  * [c61dfbb] Le lien symbolique de eoleapps n'existe plus, inutile de le supprimer
  * [3025e1e] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [3bbb3ea] Fabrice Barconnière: Update package since “debian/eole/2.6.0-12”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 May 2018 14:05:39 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: eole-flask-admin
 Architecture: all
 Depends: eole-flask-server (= ${binary:Version}),
-         nginx-light | nginx-full | nginx,
+         nginx-light | nginx,
          ${misc:Depends},
          ${python:Depends}
 Conflicts: eole-flask-server (< 2.4.1-1)

## eole-flask 2.7.2-1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eoleflask
 #VERSION=0.1
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.0
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.7.2-1) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [ca1935c] Prepare version 2.7.1
  * [28b11b0] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [598a961] Prepare version 2.7.2
  * [c011705] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ Matthieu Lamalle ]
  * [432409b] redirection de la connexion sur le port d'arrivé
  * [5fee2c0] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [9007a9c] Matthieu Lamalle: Update package since “debian/eole/2.7.0-1”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 27 Apr 2020 15:02:47 +0200

## eole-flask 2.8.0-13

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eoleflask
 #VERSION=0.1
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.8.0-13) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [593a131] Remove old gunicorn configuration

  [ EOLE Build Daemon ]
  * [cccc6c6] Daniel Dehennin: Update package since “debian/eole/2.8.0-12”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 26 Oct 2020 16:40:09 +0100

eole-flask (2.8.0-12) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [797b16f] Remove old gunicorn configuration

  [ EOLE Build Daemon ]
  * [606e194] Daniel Dehennin: Update package since “debian/eole/2.8.0-11”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 26 Oct 2020 16:34:43 +0100

eole-flask (2.8.0-11) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [784c91d] Systemd: gunicorn configuration must end with “.py” under python3
  * [9fb930e] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [602f8fa] Daniel Dehennin: Update package since “debian/eole/2.8.0-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 26 Oct 2020 16:33:28 +0100

eole-flask (2.8.0-10) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [cfefbd2] python-eventlet => python3-eventlet (ref: #30661)
  * [c2cf03e] flask_key.py : no shebang in lib (ref: #30661)
  * [7767d4a] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [bfd0dff] Joël Cuissinat: Update package since “debian/eole/2.8.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 18 Sep 2020 14:11:58 +0200

eole-flask (2.8.0-9) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [432409b] redirection de la connexion sur le port d'arrivé
  * [9e98370] Merge branch '2.7.2/master'
  * [9972f70] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [290123f] Matthieu Lamalle: Update package since “debian/eole/2.8.0-8”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 27 Apr 2020 15:03:17 +0200

eole-flask (2.8.0-8) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [fe8b379] port python3 de renew_key (ref #29582)
  * [ca94ab3] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2b5876f] Emmanuel Garette: Update package since “debian/eole/2.8.0-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 13 Feb 2020 10:16:50 +0100

eole-flask (2.8.0-7) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [def1504] python-flask => python3-flask (ref #29576)

  [ EOLE Build Daemon ]
  * [390360c] Emmanuel Garette: Update package since “debian/eole/2.8.0-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 06 Feb 2020 12:07:08 +0100

eole-flask (2.8.0-6) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [475dad8] support de python3 (ref #29575)

  [ EOLE Build Daemon ]
  * [a5b8aa5] Emmanuel Garette: Update package since “debian/eole/2.8.0-5”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 16:26:53 +0100

eole-flask (2.8.0-5) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a529875] support de python3 (ref #29575)
  * [467548a] support de python3 eoleflask.conf => eoleflask.py (ref #29575)
  * [5f49dbc] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [5b8aa33] Emmanuel Garette: Update package since “debian/eole/2.8.0-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 16:20:53 +0100

eole-flask (2.8.0-4) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a9a45d8] support de python3 (ref #29575)
  * [00c4d6e] support de python3 (ref #29575)
  * [d6c7464] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [185cd35] Emmanuel Garette: Update package since “debian/eole/2.8.0-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 15:32:10 +0100

eole-flask (2.8.0-3) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c9b04e8] support de python3 (ref #29575)

  [ EOLE Build Daemon ]
  * [c21be80] Emmanuel Garette: Update package since “debian/eole/2.8.0-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 15:23:12 +0100

eole-flask (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [37900d5] support de python3 (ref #29575)

  [ EOLE Build Daemon ]
  * [139c2bc] Emmanuel Garette: Update package since “debian/eole/2.8.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 15:14:11 +0100

eole-flask (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ca1935c] Prepare version 2.7.1
  * [28b11b0] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [598a961] Prepare version 2.7.2
  * [c011705] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [49c919d] Prepare version 2.8.0
  * [6b310aa] Merge branch 'master' into dist/eole/2.8.0/master

  [ Emmanuel Garette ]
  * [c96636f] support de python3 (ref #29575)
  * [baa24de] support de python3 (ref #29575)
  * [def13c1] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [181c938] Emmanuel Garette: Update package since “debian/eole/2.7.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 14:30:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2,systemd
+	dh $@ --with python3,systemd
 
 override_dh_install:
 	rm -rf debian/python-eoleflask/usr/share

## eole-flask 2.8.1-3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eoleflask
 #VERSION=0.1
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [e3f45e1] augmentation du timeout de gunicorn ref #32683
  * [755044b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [297e0e1] Matthieu Lamalle: Update package since “debian/eole/2.8.1-2”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Wed, 23 Jun 2021 10:39:53 +0200

eole-flask (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [838be01] Remove old gunicorn configuration

  [ EOLE Build Daemon ]
  * [719a77a] Daniel Dehennin: Update package since “debian/eole/2.8.1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 26 Oct 2020 17:11:49 +0100

eole-flask (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4b1f37b] Prepare version 2.8.1
  * [5732e51] Merge branch 'master' into dist/eole/2.8.1/master
  * [784c91d] Systemd: gunicorn configuration must end with “.py” under python3
  * [05db827] Merge branch '2.8.0/master' into master
  * [ce181e6] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [aea60e6] Daniel Dehennin: Update package since “debian/eole/2.8.0-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 26 Oct 2020 16:36:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd
+Build-Depends: debhelper (>= 9), python3-all-dev, dh-systemd, dh-python
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-flask
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: eole-flask-admin (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Replaces: eole-flask-server (<< 2.4.1-16)
 Breaks: eole-flask-server (<< 2.4.1-16)
 Description: configuration files for eole application server
@@ -27,7 +27,7 @@
 Depends: eole-flask-server (= ${binary:Version}),
          nginx-light | nginx,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Conflicts: eole-flask-server (< 2.4.1-1)
 Description: configuration files for eole-flask admin instance
  This package provides configuration files to start
@@ -40,7 +40,7 @@
 Architecture: all
 Depends: eole-flask-server (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Conflicts: eole-flask-server (< 2.4.1-1)
 Description: configuration files for eole-flask eoleapps instance
  This package provides configuration files to start
@@ -53,9 +53,9 @@
 Architecture: all
 Depends: python-eoleflask (= ${binary:Version}),
          gunicorn,
-         python-eventlet,
+         python3-eventlet,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: application server for EOLE
  This package provides an init script and a configuration to start
  gunicorn.
@@ -65,9 +65,9 @@
 
 Package: python-eoleflask
 Architecture: all
-Depends: python-flask,
+Depends: python3-flask,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: application server for EOLE
  This package provides python library of EOLE application server.
  .

## eole-flask 2.9.0-4

=== debian/changelog ===
eole-flask (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f485fc7] ne pas démarre eoleflask en tant que demon (ref #34151)
  * [6c56e53] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3c4a64b] Emmanuel Garette: Update package since “debian/eole/2.9.0-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 12 May 2022 17:09:34 +0200

eole-flask (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [3eb4cca] mise à jour du fichier service conformement au précos gunicorn (ref #33866)
  * [71421b6] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [2b4e457] Emmanuel Garette: Update package since “debian/eole/2.9.0-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 02 Mar 2022 10:16:25 +0100

eole-flask (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [1ac6d77] update debian rules
  * [f4718e0] updaye compat

  [ EOLE Build Daemon ]
  * [0613fe4] Matthieu Lamalle: Update package since “debian/eole/2.9.0-1”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Wed, 16 Feb 2022 16:51:09 +0100

eole-flask (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [c4e001b] Prepare version 2.9.0
  * [1c00a52] Merge branch 'master' into dist/eole/2.9.0/master
  * [66da255] fix(makefile): installing files requires directories first

  [ Matthieu Lamalle ]
  * [1bc59a4] update debian rules
  * [f640d7f] correction de l'appel a la lib werkzeug ref: #33689
  * [c8800c2] update eole.mk
  * [bd870c2] update eole.mk
  * [a882c0b] revert eole.mk changes
  * [012dee0] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [cd57df5] Matthieu Lamalle: Update package since “debian/eole/2.8.1-3”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Wed, 16 Feb 2022 15:40:47 +0100

## eole-flask 2.9.0-5

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eoleflask
 #VERSION=0.1
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-flask (2.9.0-5) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [335a7a9] nginx - flask : vérifier le certificat LE fullchain (ref #35894)
  * [f24c206] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [fc5bd0d] Emmanuel Garette: Update package since “debian/eole/2.9.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 16 Apr 2024 08:55:12 +0200
